/*
	 InstallDialog *ID = new InstallDialog("InstallDialog",0);
	 ID->show();
*/
#ifndef INSTALLDIALOG_H
#define INSTALLDIALOG_H


#include <ezxutildialog.h>

class ZMultiLineEdit;

class InstallDialog : public UTIL_Dialog
{
	Q_OBJECT;
public:
  	 InstallDialog(const QString &Title,QWidget *parent = 0, char const *name = 0);
    ~InstallDialog();

    void setFileName(const QString &);
    void setDirName(const QString &);
	   QString getFileName();
    QString getDirName();
public slots:
    void SelectFile();
    void SelectFolder();
private :
    QString filename ;
    QString dirname ;
    ZMultiLineEdit* lineedit_1;
    ZMultiLineEdit* lineedit_2;
};

#endif //INSTALLDIALOG_H
