/*
 * SysInfo: System Information
 * Copyright (C) 2009  	nukin <wbsecg1@gmail.com>
 *						Meng Zhong Die Wu <497699123@qq.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * Further, this software is distributed without any warranty that it is
 * free of the rightful claim of any third person regarding infringement
 * or the like.  Any license provided herein, whether implied or
 * otherwise, applies only to this software file.  Patent licenses, if
 * any, provided herein do not apply to combinations of this program with
 * other software, or any other product whatsoever.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
 #define VERSION "2.2.2"
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <sys/mount.h>
#include <qfileinfo.h>
#include <qdir.h>
#include <ZApplication.h>
#include <ZMessageBox.h>
#include <ZLanguage.h>
#include "sysinfo.h"

int main(int argc, char* argv[])
{
	if(QString(argv[1])=="-swapon") {
		if(system("start-stop-daemon -S -c root -x /sbin/swapon -p 0777 -v /mmc/mmca1/.system/swapfile")!=0)
			system("start-stop-daemon -S -c root -x /sbin/swapon -p 0644 -v /dev/mmca?");
	
		return 0;
	}
	//int pid=getpid();
	//char abspath[1024];
	//readlink("/proc/self/exe",abspath,1023);
	/*char* dirname = argv[0];
	while(*dirname != '\0') dirname++;
	while(*dirname != '/') dirname--;
	*dirname = '\0',dirname = argv[0];
	QString dirAbs=QFileInfo(argv[0]).absFilePath();
	//chdir(dirname);*/
	QString dirname=QFileInfo(argv[0]).dirPath();  //20090820
	QString dirAbs=QFileInfo(argv[0]).dirPath(true); //父目录
	QDir::setCurrent(dirname); 
	qDebug("app dir: "+QDir::currentDirPath()+" dirname: "+dirname);
	system(". /home/native/.profile");
	setenv("HOME",dirAbs,1);
	QCString path=getenv("PATH")+QCString(":")+getenv("HOME")+QCString("/bin");
	setenv("PATH",path,1);
	ZApplication app(argc,argv);
	
	QTranslator appTranslator(0);
	appTranslator.load(QString("SysInfo_")+ZLanguage::getSystemLanguageCode(),dirname);
    app.installTranslator(&appTranslator);
    
	SystemInfo *Window = new SystemInfo( 0,"SystemInfo");
	Window->show();

	app.setMainWidget(Window);
	return app.exec();
}

