#ifndef MODULESINFO_H
#define MODULESINFO_H

#include <qwidget.h>

class QComboBox;
class QListView;
class QListViewItem;
class Detail;

class ModulesInfo : public QWidget
{
    Q_OBJECT
public:
    ModulesInfo( QWidget *parent = 0, const char *name = 0, WFlags f = 0 );
    ~ModulesInfo();
private slots:
    void updateData();
    void slotSendClicked();
	void optionsMenu(QListViewItem *modules, const QPoint & b);
	void addAModule();
	void removeThisModule();
	void moduleDetails();
private:
	QListView* moduleList;
    QComboBox* CommandCB;
	Detail* ModulesDtl;
	//QListViewItem *moduleSelected;
};

#endif
