//qt
#ifndef FILEBROWSER_H
#define FILEBROWSER_H
#include <qlistbox.h>
#include <ezxutillistbox.h>
class FileBrowser : public QListBox
{
    Q_OBJECT
public:
	//dirfile = 0,ֻʾĿ¼.  dirfile =1,ʾ   by  nukin
    FileBrowser(const QString &filter, QWidget *parent = 0, const char *name = 0, const int &dirfile = 1);
    virtual ~FileBrowser();
	
    void setDir(const QString &path);
    QString getFileName() { return fileName; }            //ļ·
    QString getDirPath() { return curPath; }              //ǰбĸ·(ǰĿ¼)
    QString getFilePath() { return basePath; }            //ѡļ()Ŀ¼
    QString getdirName() { return DirPath; }              //ѡļе·
	
signals:
    void picked(const QString &fileName);
    void isFilePicked(bool);
    void isDirPicked(bool);
    void isFileClicked(bool);
    void dirpicked(const QString &dirName);
    void mouseEvent1(const QString &dirName);
private slots:
    void itemHighlighted(int index);
    void itemSelected(int index);    
    void itemClicked(QListBoxItem *);
	
	
private:	
	QString fileview;
	QString nameFilter;
    QString basePath;
    QString fileName;
    QString DirPath;
    QString curPath;
    int type;
};
#endif //FILEBROWSER_H
