/*
 Name : Picture 
 By : Meng Zhong Die Wu
 Compile : MOTO-E6-IDE
 Time : 2009.07.26
 EMail : 497699123@qq.com
*/
#ifndef PICTURE_H
#define PICTURE_H

#include <qwidget.h>
#include <qimage.h>

class QLabel;
class QScrollView;

class Picture : public QWidget
{ 
    Q_OBJECT
public :
    Picture( QWidget *parent = 0, const char *name = 0, WFlags f = 0 );
    ~Picture();
    void setPicture(QString &filename);
protected:	
    void pwaEvent();
    void closeEvent(QCloseEvent *e);
    void mousePressEvent(QMouseEvent *e);	
    void mouseReleaseEvent( QMouseEvent * e );
    void mouseMoveEvent( QMouseEvent *e );
    void keyPressEvent(QKeyEvent *ke);
private :
    QScrollView *sv;
    QLabel *label;
    QPixmap pm;
    QPushButton *opendlg1;
    QImage image;
    QPixmap	pmScaled;	
     const char* filename;
    QString fname;
    QPoint clickPos;
private :
    int w,h;
};

#endif //PICTURE_H
