/*
 Name : USB MODE
 By : Meng Zhong Die Wu
 Compile : MOTO-E6-IDE
 Time : 2009.07.26
 EMail : 497699123@qq.com
*/
#ifndef USBMODE_H
#define USBMODE_H

#include <qwidget.h>

class QLabel;
class UTIL_ListBox;
class UTIL_ListBoxItem;
class QListBoxItem;

class USBMode : public QWidget
{
  Q_OBJECT
public :
  USBMode( QWidget *parent = 0, const char *name = 0, WFlags f = 0);
  virtual ~USBMode();
  
protected:
  void timerEvent(QTimerEvent*);
  void refreshState();
  void writeToProcFile(const QString& text);
private slots :
  void userChangeState(QListBoxItem*);	
private:
  QLabel* Title;
  QString String[5];
  QStringList StringList;
  UTIL_ListBox* ListBox;
  UTIL_ListBoxItem* ListBoxItem;  	
};

#endif //USBMODE_H

